Bug 471762 - Add possibility to not log missing optional module
Add possibility to not log missing optional module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-15 18:55 EST by Kieran Clancy
Modified: 2009-03-09 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: pam-1.0.90-1.fc11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 11:43:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kieran Clancy 2008-11-15 18:55:09 EST
Description of problem:
If Fedora is installed without X11/gnome/etc, gnome-keyring-pam is not included in the install. This leads to messages like this being logged in /var/log/secure:
Nov  9 20:00:01 localhost passwd: PAM unable to dlopen(/lib64/security/pam_gnome_keyring.so): /lib64/security/pam_gnome_keyring.so: cannot open shared object file: No such file or directory
Nov  9 20:00:01 localhost passwd: PAM adding faulty module: /lib64/security/pam_gnome_keyring.so

This is due to the line in /etc/pam.d/passwd:
password   optional     pam_gnome_keyring.so

passwd should either depend on gnome-keyring-pam, or gnome-keyring-pam should add that extra line in /etc/pam.d/passwd as a postinstall.

Version-Release number of selected component (if applicable):
passwd-0.75-2.fc9.x86_64
pam-1.0.1-4.fc9.x86_64
Comment 1 Tomas Mraz 2008-11-18 04:09:25 EST
We should rather enhance PAM to be able not to log missing optional modules.

Note You need to log in before you can comment on or make changes to this bug.